## python-msgpack-numpy 0.4.4

=== Makefile ===
PYTHON := `which python`

NAME = msgpack-numpy
VERSION = $(shell $(PYTHON) -c 'import setup; print setup.VERSION')

.PHONY: package build develop install test clean

package:
	$(PYTHON) setup.py sdist --formats=gztar bdist_wheel

upload: | package
	twine upload dist/*
	
build:
	$(PYTHON) setup.py build

develop:
	$(PYTHON) setup.py develop

install:
	$(PYTHON) setup.py install

test:
	$(PYTHON) msgpack_numpy.py

clean:
	$(PYTHON) setup.py clean
	rm -f dist/*

=== debian/changelog ===
python-msgpack-numpy (0.4.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:07:42 +0100

python-msgpack-numpy (0.4.4-1) unstable; urgency=low

  * Initial release. (Closes: #915092)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Nov 2018 13:24:51 +0100

=== debian/control ===
Source: python-msgpack-numpy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/python-msgpack-numpy
Vcs-Git: https://salsa.debian.org/science-team/python-msgpack-numpy.git
Homepage: https://github.com/lebedov/msgpack-numpy

Package: python3-msgpack-numpy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: serialize numpy arrays using msgpack
 This package provides encoding and decoding routines that enable the
 serialization and deserialization of numerical and array data types
 provided by numpy using the highly efficient msgpack format.
 Serialization of Python's native complex data types is also supported.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME = msgpack-numpy
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://github.com/lebedov/msgpack-numpy/releases .*/archive/v?(\d[.\d]+)@ARCHIVE_EXT@

## python-msgpack-numpy 0.4.8

=== requirements.txt ===
numpy>=1.9.0
msgpack>=0.5.2

=== debian/changelog ===
python-msgpack-numpy (0.4.8-1) unstable; urgency=medium

  * d/control: add missing comma in Uploaders field.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Jul 2022 10:46:44 +0200

python-msgpack-numpy (0.4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.  (Closes: #1010537, #829424)
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * d/u/metadata: fix upstream-metadata-missing-repository.
  * d/copyright: update copyright years.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 May 2022 12:50:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: python-msgpack-numpy
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-msgpack-numpy
 Vcs-Git: https://salsa.debian.org/science-team/python-msgpack-numpy.git
 Homepage: https://github.com/lebedov/msgpack-numpy
+Rules-Requires-Root: no
 
 Package: python3-msgpack-numpy
 Architecture: all

=== debian/watch ===
version=4

https://github.com/lebedov/msgpack-numpy/tags .*/v?(\d[.\d]+)@ARCHIVE_EXT@
